- Random123-1.09 Documentation

Public Types | Public Member Functions

# r123::ReinterpretCtr< ToType, CBRNG > Struct Template Reference

`#include <Random123/ReinterpretCtr.hpp>`

List of all members.

## Public Types
typedef ToType | ctr_type
typedef CBRNG::key_type | key_type
typedef CBRNG::ctr_type | bctype
typedef CBRNG::ukey_type | ukey_type
## Public Member Functions
ctr_type | operator() (ctr_type c, key_type k)

## Detailed Description

### template<typename ToType, typename CBRNG>
struct r123::ReinterpretCtr< ToType, CBRNG >

ReinterpretCtr uses memcpy to map back and forth between a CBRNG's ctr_type and the specified ToType. For example, after:

typedef ReinterpretCtr<r123array4x32, Philox2x64> G;

G is a bona fide CBRNG with ctr_type r123array4x32.

WARNING: ReinterpretCtr is endian dependent. The values returned by G, declared as above, will depend on the endianness of the machine on which it runs.

## Member Typedef Documentation

template<typename ToType , typename CBRNG >

typedef CBRNG::ctr_type r123::ReinterpretCtr< ToType, CBRNG >::bctype

template<typename ToType , typename CBRNG >

typedef ToType r123::ReinterpretCtr< ToType, CBRNG >::ctr_type

template<typename ToType , typename CBRNG >

typedef CBRNG::key_type r123::ReinterpretCtr< ToType, CBRNG >::key_type

template<typename ToType , typename CBRNG >

typedef CBRNG::ukey_type r123::ReinterpretCtr< ToType, CBRNG >::ukey_type

## Member Function Documentation

template<typename ToType , typename CBRNG >

ctr_type r123::ReinterpretCtr< ToType, CBRNG >::operator() | ( | ctr_type | c,
|  | key_type | k |
| ) |  |  | `[inline]`

The documentation for this struct was generated from the following file:

- Random123/ReinterpretCtr.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines